For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Welcome
    • General Terms
    • API Responses
    • Authentication
    • Dictionaries
    • Use Cases
  • Search
      • GETSong Controller Get Song
      • GETSong Controller Get Songs
  • Download
LogoLogo
SearchSong

Song Controller Get Song

GET
https://host.com/https://business.artlist.io/search/v1/song/:id
GET
/https://business.artlist.io/search/v1/song/:id
$curl https://host.com/https://business.artlist.io/search/v1/song/id
200Retrieved
1{
2 "song": {
3 "id": "1234",
4 "name": "Run the Place",
5 "artist": {
6 "id": "184",
7 "name": "Rex Banner",
8 "slug": "rex-banner"
9 },
10 "album": {
11 "id": "10904",
12 "name": "Top of the World",
13 "slug": "top-of-the-world"
14 },
15 "url": "https://example.com/file.aac",
16 "imageUrl": "https://example.com/album.jpg",
17 "thumbImageUrl": "https://example.com/album-thumb.jpg",
18 "waveSurferUrl": "https://example.com/wavesurfer.json",
19 "duration": 141,
20 "bpmRate": 120,
21 "genreCategories": [
22 {
23 "id": "90",
24 "name": "Retro"
25 }
26 ]
27 }
28}
Was this page helpful?
Previous

Song Controller Get Songs

Next
Built with

Path parameters

idstringRequired

Response

Get song by id
songobject